edu.northwestern.at.morphadorner.corpuslinguistics.inflector

## Enum VerbTense

- java.lang.Object
- - java.lang.Enum<VerbTense>
  - - edu.northwestern.at.morphadorner.corpuslinguistics.inflector.VerbTense

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VerbTense>

      public enum VerbTense
      extends java.lang.Enum<VerbTense>

  Grammatical verb tenses.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PAST`
    `PAST_PARTICIPLE`
    `PAST_PERFECT`
    `PAST_PERFECT_PARTICIPLE`
    `PERFECT`
    `PRESENT`
    `PRESENT_PARTICIPLE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `toStringValue`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static VerbTense` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VerbTense[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRESENT

          public static final VerbTense PRESENT

    - #### PRESENT_PARTICIPLE

          public static final VerbTense PRESENT_PARTICIPLE

    - #### PAST

          public static final VerbTense PAST

    - #### PAST_PARTICIPLE

          public static final VerbTense PAST_PARTICIPLE

    - #### PERFECT

          public static final VerbTense PERFECT

    - #### PAST_PERFECT

          public static final VerbTense PAST_PERFECT

    - #### PAST_PERFECT_PARTICIPLE

          public static final VerbTense PAST_PERFECT_PARTICIPLE

  - ### Field Detail

    - #### toStringValue

          protected final java.lang.String toStringValue

  - ### Method Detail

    - #### values

          public static VerbTense[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VerbTense c : VerbTense.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VerbTense valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<VerbTense>`